Subject: Re: bug#57256: Very long lines displayed in debugger window

From: Phil Sainty <[email-masked]>
Date: Fri, 19 Aug 2022 01:39:35 +1200

On 2022-08-17 13:55, Phil Sainty wrote:
> On 2022-08-17 13:45, uzibalqa wrote:
>> When I use the debugger I frequently get extremely long lines.
>> I either have to move an excessive amount to the right or having
>> to reduce the scale height to a point where the text gets too
>> small to read.
> 
> You can also simply M-x toggle-truncate-lines

In fact, the debugger already supports pretty-printing for the
frame at point if you type "+" (collapse again with "-").

Here's a starter for you:

(defun debugger-expand-all-frames ()
   "Call `backtrace-multi-line' for all debugger frames."
   (interactive)
   (save-excursion
     (goto-char (point-min))
     (while (ignore-errors (backtrace-forward-frame))
       (backtrace-multi-line))))

(define-key debugger-mode-map (kbd "*") #'debugger-expand-all-frames)